Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Packages
- Package Functions

Classes | Functions
Package Cloo.Bindings

## Classes
class | CL10
| Contains bindings to the OpenCL 1.0 functions. More...
class | CL11
| Contains bindings to the OpenCL 1.1 functions. More...
struct | CLCommandQueueHandle
| Represents the ComputeCommandQueue ID. More...
struct | CLContextHandle
| Represents the ComputeContext ID. More...
struct | CLDeviceHandle
| Represents the ComputeDevice ID. More...
struct | CLEventHandle
| Represents the ComputeEvent ID. More...
struct | CLKernelHandle
| Represents the ComputeKernel ID. More...
struct | CLMemoryHandle
| Represents the ComputeMemory ID. More...
struct | CLPlatformHandle
| Represents the ComputePlatform ID. More...
struct | CLProgramHandle
| Represents the ComputeProgram ID. More...
struct | CLSamplerHandle
| Represents the ComputeSampler ID. More...
class | CLx
| Contains bindings to the OpenCL extension functions. More...
## Functions
delegate void | ComputeContextNotifier (String errorInfo, IntPtr clDataPtr, IntPtr clDataSize, IntPtr userDataPtr)
| A callback function that can be registered by the application to report information on errors that occur in the ComputeContext.
delegate void | ComputeProgramBuildNotifier (CLProgramHandle programHandle, IntPtr notifyDataPtr)
| A callback function that can be registered by the application to report the ComputeProgram build status.
delegate void | ComputeMemoryDestructorNotifer (CLMemoryHandle memobj, IntPtr user_data)
| A callback function that can be registered by the application.
delegate void | ComputeEventCallback (CLEventHandle eventHandle, int cmdExecStatusOrErr, IntPtr userData)
| The event callback function that can be registered by the application.

## Function Documentation

delegate void Cloo.Bindings.ComputeContextNotifier | ( | String | errorInfo,
|  | IntPtr | clDataPtr,
|  | IntPtr | clDataSize,
|  | IntPtr | userDataPtr
| ) |  |

A callback function that can be registered by the application to report information on errors that occur in the ComputeContext.

Parameters:

  errorInfo | An error string.
  clDataPtr | A pointer to binary data that is returned by the OpenCL implementation that can be used to log additional information helpful in debugging the error.
  clDataSize | The size of the binary data that is returned by the OpenCL.
  userDataPtr | The pointer to the optional user data specified in userDataPtr argument of ComputeContext constructor.

This callback function may be called asynchronously by the OpenCL implementation. It is the application's responsibility to ensure that the callback function is thread-safe.

delegate void Cloo.Bindings.ComputeEventCallback | ( | CLEventHandle | eventHandle,
|  | int | cmdExecStatusOrErr,
|  | IntPtr | userData
| ) |  |

The event callback function that can be registered by the application.

Parameters:

  eventHandle | The event object for which the callback function is invoked.
  cmdExecStatusOrErr | Represents the execution status of the command for which this callback function is invoked. If the callback is called as the result of the command associated with the event being abnormally terminated, an appropriate error code for the error that caused the termination will be passed to cmdExecStatusOrErr instead.
  userData | A pointer to user supplied data.

/ This callback function may be called asynchronously by the OpenCL implementation. It is the application's responsibility to ensure that the callback function is thread-safe.

delegate void Cloo.Bindings.ComputeMemoryDestructorNotifer | ( | CLMemoryHandle | memobj,
|  | IntPtr | user_data
| ) |  |

A callback function that can be registered by the application.

Parameters:

  memobj | The memory object being deleted. When the user callback is called, this memory object is not longer valid. memobj is only provided for reference purposes.
  user_data | A pointer to user supplied data.

/ This callback function may be called asynchronously by the OpenCL implementation. It is the application's responsibility to ensure that the callback function is thread-safe.

delegate void Cloo.Bindings.ComputeProgramBuildNotifier | ( | CLProgramHandle | programHandle,
|  | IntPtr | notifyDataPtr
| ) |  |

A callback function that can be registered by the application to report the ComputeProgram build status.

Parameters:

  programHandle | The handle of the ComputeProgram being built.
  notifyDataPtr | The pointer to the optional user data specified in notifyDataPtr argument of ComputeProgram.Build.

This callback function may be called asynchronously by the OpenCL implementation. It is the application's responsibility to ensure that the callback function is thread-safe.